## EmpathyTubeHandler

EmpathyTubeHandler

## Synopsis

                        EmpathyTubeHandler;
    EmpathyTubeHandler * empathy_tube_handler_new           (TpTubeType type,
                                                             const gchar *service);
    gchar *             empathy_tube_handler_build_bus_name (TpTubeType type,
                                                             const gchar *service);
    gchar *             empathy_tube_handler_build_object_path
                                                            (TpTubeType type,
                                                             const gchar *service);

## Object Hierarchy

      GObject
       +----EmpathyTubeHandler

## Implemented Interfaces

EmpathyTubeHandler implements EmpSvcTubeHandler.

## Signals

      "new-tube"                                       : Run Last

## Description

## Details

### EmpathyTubeHandler

    typedef struct _EmpathyTubeHandler EmpathyTubeHandler;

### empathy_tube_handler_new ()

    EmpathyTubeHandler * empathy_tube_handler_new           (TpTubeType type,
                                                             const gchar *service);

`type` : |
`service` : |
Returns : |

### empathy_tube_handler_build_bus_name ()

    gchar *             empathy_tube_handler_build_bus_name (TpTubeType type,
                                                             const gchar *service);

`type` : |
`service` : |
Returns : |

### empathy_tube_handler_build_object_path ()

    gchar *             empathy_tube_handler_build_object_path
                                                            (TpTubeType type,
                                                             const gchar *service);

`type` : |
`service` : |
Returns : |

## Signal Details

### The `"new-tube"` signal

    void                user_function                      (EmpathyTubeHandler *empathytubehandler,
                                                            EmpathyTpTube      *arg1,
                                                            gpointer            user_data)               : Run Last

`empathytubehandler` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.